%global enable_tests 0
%global npm_name connect

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Name:       %{?scl_prefix}nodejs-%{npm_name}
Version:    2.7.10
Release:    2%{?dist}
Summary:    High performance middleware framework for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/senchalabs/connect
Source0:    http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh
BuildArch:  noarch

BuildRequires:  %{?scl_prefix}nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(buffer-crc32)
BuildRequires:  npm(bytes)
BuildRequires:  npm(cookie)
BuildRequires:  npm(cookie-signature)
BuildRequires:  npm(debug)
BuildRequires:  npm(formidable)
BuildRequires:  npm(fresh)
BuildRequires:  npm(mocha)
BuildRequires:  npm(pause)
BuildRequires:  npm(qs)
BuildRequires:  npm(send)
BuildRequires:  npm(should)
%endif

%description
Connect is an extensible HTTP server framework for node, providing high
performance "plugins" known as middleware.

Connect is bundled with over 20 commonly used middleware, including a logger,
session support, cookie parser, and more.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
%nodejs_fixdep buffer-crc32 '~0.2'
%nodejs_fixdep bytes '~0.2'
%nodejs_fixdep cookie '*'
%nodejs_fixdep cookie-signature '*'
%nodejs_fixdep formidable '~1.0.11'
%nodejs_fixdep fresh '~0.1'
%nodejs_fixdep pause '~0.0.1'
%nodejs_fixdep qs '~0.5'
%nodejs_fixdep send '~0.1'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

# These non-javascript sources should be in %%{_datadir}.
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr lib/public %{buildroot}%{_datadir}/%{name}
rm -rf lib/public

cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/%{npm_name}
ln -sf %{_datadir}/%{name}/public \
    %{buildroot}%{nodejs_sitelib}/%{npm_name}/lib/public

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
ln -sf %{nodejs_sitelib} .

# Some of the tests require these to be present.
mkdir docs
ln -sf %{buildroot}%{_datadir}/%{name}/public lib/public

NODE_ENV=test %{nodejs_sitelib}/mocha/bin/mocha \
    --reporter dot --timeout 600 test/*.js
%endif


%files
%doc LICENSE Readme.md
%{nodejs_sitelib}/%{npm_name}
%{_datadir}/%{name}


%changelog
* Mon Aug 05 2013 Troy Dawson <tdawson@redhat.com> -2.7.10-2
- Add support for software collections

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.10-1
- update to upstream release 2.7.10

* Wed Apr 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.6-1
- update to upstream release 2.7.6

* Mon Apr 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.5-1
- update to upstream release 2.7.5

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-4
- make some of the versioned dependencies even less specific

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-3
- make all versioned dependencies less specific

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-2
- fix version of npm(cookie) dependency

* Sun Apr 07 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.4-1
- update to upstream release 2.7.4

* Fri Mar 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.3-3
- make the versioned dependency on npm(formidable) less specific

* Sat Mar 02 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.3-2
- move non-javascript sources from lib/public to %%{_datadir}
- do not include lib-cov/ directory

* Wed Feb 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.3-1
- update to upstream release 2.7.3
- remove nodejs-connect-2.7.2-deps.patch as it has now been applied upstream

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.2-3
- make use of %%nodejs_fixdep

* Tue Feb 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.2-2
- document how to retrieve tests

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.7.2-1
- initial package
